
Application: gvSIG desktop - gvSIG bugs #5240
Da error al exportar a KML
04/24/2020 01:40 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Óscar Martínez
Category: Document view
Target version: 2.5.1-3025 (no-usable)
Severity: Minor Add-on version:
gvSIG version: 2.5.1 Add-on build:
gvSIG build: 3016 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si seleccionamos "Formato KML" en la ventana de "Exportar a" y le damos a siguiente salta un error.

Adjunto log, y shp de ejemplo.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5200: Al exportar a GML ... Closed 03/12/2020
Related to Application: gvSIG desktop - gvSIG feature requests # 5101: Persis... New 10/16/2019

Associated revisions
Revision 1103 - 05/08/2020 05:08 PM - Óscar Martínez

refs #5240 Adaptado a los cambios del nuevo exportador

Revision 1132 - 06/05/2020 10:50 PM - Óscar Martínez

refs #5240 Arreglada exportación a KML

Revision 45052 - 06/05/2020 10:50 PM - Óscar Martínez

refs #5240 Arreglada exportación a KML

History
#1 - 04/24/2020 02:21 PM - Álvaro Anguix
- Related to gvSIG bugs #5200: Al exportar a GML en la 2.5 salta error added

#2 - 04/24/2020 02:25 PM - Álvaro Anguix
- Related to gvSIG feature requests #5101: Persistir en exportación los parámetros de KML added

#3 - 05/11/2020 06:45 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3023

#4 - 05/13/2020 06:18 PM - Joaquín  del Cerro Murciano
- Priority changed from Normal to Urgent

#5 - 05/13/2020 06:21 PM - Joaquín  del Cerro Murciano
- Assignee set to Óscar Martínez

#6 - 05/14/2020 01:02 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3023 to 2.5.1-3024

#7 - 06/06/2020 03:28 PM - Óscar Martínez
- Status changed from New to Fixed

#8 - 06/07/2020 04:21 PM - Álvaro Anguix
- Status changed from Fixed to Closed

#9 - 06/08/2020 11:02 AM - Mario Carrera
- Target version changed from 2.5.1-3024 to 2.5.1-3044
- Status changed from Closed to New
- File gvSIG.log added

Reabro el ticket. Al exportar sí que finaliza la exportación, pero la capa creada está corrupta. Probado con varias capas, incluida la adjuntada en este
ticket.

Al decirle que cargue la capa en la Vista al finalizar da error. Igual que si cargamos esa capa creada después, tanto en la 2.4 como en la 2.5.1.

Adjunto nuevo log.

#10 - 06/08/2020 03:15 PM - Álvaro Anguix

A mi en la versión de Ubuntu 64 bits me funciona bien.

#11 - 06/08/2020 07:24 PM - Joaquín  del Cerro Murciano

Mario Carrera wrote:

Reabro el ticket. Al exportar sí que finaliza la exportación, pero la capa creada está corrupta. Probado con varias capas, incluida la adjuntada en
este ticket.

Al decirle que cargue la capa en la Vista al finalizar da error. Igual que si cargamos esa capa creada después, tanto en la 2.4 como en la 2.5.1.

Adjunto nuevo log.

¿ Cuando te han pasado estas cosas no seria despues de haber instalado como root gvsig ?

A ver si aun tenias la carpeta de /tmp con permisos solo de root y por eso te esta fallando.

#12 - 06/08/2020 07:26 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.5.1-3025 (no-usable)
#13 - 06/08/2020 09:09 PM - Mario Carrera

Instalarlo como root no lo he instalado, lo he hecho con mi usuario. Lo único es que como al instalar el 3024, la ruta de instalación por defecto estaba
como /root no me he dado cuenta y se ha instalado en /root/gvsig-desktop.

¿La carpeta de /tmp se genera cuando instalas o cuando abres gvSIG? Yo no había llegado a abrir dicha versión aún.

#14 - 06/09/2020 08:31 AM - Álvaro Anguix

Lo raro es que por defecto te lo instale como root. En mi caso lo hace como siempre, en el home de usuario.
¿Has probado a instalarlo otra vez?¿Replica lo de root?

#15 - 06/09/2020 10:14 AM - Joaquín  del Cerro Murciano

Mario Carrera wrote:

Instalarlo como root no lo he instalado, lo he hecho con mi usuario. Lo único es que como al instalar el 3024, la ruta de instalación por defecto
estaba como /root no me he dado cuenta y se ha instalado en /root/gvsig-desktop.

A ver... no se puede escribir en la carpeta /root si no eres root.
Asi que si lo has metido ahi, eras root en el momento de la instalacion.
Como lo has hecho ni idea.

¿La carpeta de /tmp se genera cuando instalas o cuando abres gvSIG? Yo no había llegado a abrir dicha versión aún.

Si no existe ya se crea en el momento de la instalacion.

#16 - 06/09/2020 11:24 AM - Mario Carrera
- File deleted (gvSIG.log)

#17 - 06/09/2020 12:07 PM - Mario Carrera
- File gvSIG.log added
- File parcelas_4326.zip added

Al reiniciar el equipo ya ataca a la carpeta /tmp/tmp-gvsig, por lo que no es el problema ahora. El fallo me está ocurriendo con varias capas.

Sí que me ha funcionado al final con la de Lago Jardín adjunta al ticket, que era muy sencilla, por lo que en ella sería por lo de la carpeta /tmp. Ahora
me está fallando con otras, incluyendo la que adjunto (parcelas 4326). En la exportación selecciono lo de "Mostrar atributos en el globo". Adjunto el
nuevo log, donde sale algo de "Invalid number of points in LinearRing (found 3 - must be 0 or >= 4)". La capa no parece corrupta,

#18 - 06/11/2020 11:26 PM - Óscar Martínez

La geometría del primer registro tiene pinta de no ser válida. Consigue exportarla pero no consigue cargarla de nuevo. No creo que tenga que ver con
KML.

Prueba es que, directamente en el shape, se puede seleccionar el primer registro en la tabla (para localizar donde está la parcela) y si luego intentas
seleccionarla desde la Vista no se puede seleccionar.

El WKT es el siguiente:
POLYGON ((-0.3654438231210503 39.467342156296674, -0.3654438231210503 39.467342156296674, -0.3654438231210459
39.467342156296674, -0.3654168971006436 39.46730315998394, -0.3654168971006465 39.46730315998394, -0.3654438231210503
39.467342156296674), (-0.3655046963711552 39.46738009977848, -0.3654971782576574 39.46738326396212, -0.3654971782576601
39.46738326396212, -0.3655046963711552 39.46738009977848, -0.3655046963711552 39.46738009977848), (-0.3658434407946089
39.467115058963415, -0.3658611671453464 39.46713999115406, -0.3658434407946105 39.467115058963415, -0.3658434407946089
39.467115058963415, -0.3658434407946089 39.467115058963415), (-0.3657388160711584 39.46741306549164, -0.365959978930659
39.46732123577254, -0.3660364945827164 39.467289457933596, -0.366053499184045 39.46728236618083, -0.3659800266457329
39.467181153495076, -0.365910942746488 39.46721003681708, -0.3658644132059403 39.46722952183735, -0.365785527397735
39.46726250704952, -0.3657491547935614 39.46727771793703, -0.3657250600892066 39.467287892036545, -0.3657136086701716
39.46729258720237, -0.3656931751248142 39.46730122273241, -0.3656666043121098 39.46731233163863, -0.3657388160711584
39.46741306549164))

Le sobran cosas, la parte correcta sería la del final:
POLYGON ((-0.3657388160711584 39.46741306549164, -0.365959978930659 39.46732123577254, -0.3660364945827164 39.467289457933596,
-0.366053499184045 39.46728236618083, -0.3659800266457329 39.467181153495076, -0.365910942746488 39.46721003681708,
-0.3658644132059403 39.46722952183735, -0.365785527397735 39.46726250704952, -0.3657491547935614 39.46727771793703,
-0.3657250600892066 39.467287892036545, -0.3657136086701716 39.46729258720237, -0.3656931751248142 39.46730122273241,
-0.3656666043121098 39.46731233163863, -0.3657388160711584 39.46741306549164))

Yo marcaría el bug como fixed si solo te ocurre con esta capa.

#19 - 06/12/2020 09:07 AM - Mario Carrera

Había probado 3, con dos me había dado error, con la que era un solo polígono adjunta en este ticket no.

Acabo de probar con un par más. En una de ellas me da el mismo error que en las dos anteriores. En la otra, exportando al mismo sistema de la Vista
(25830), sí que la carga, pero en coordenadas 10000,80000.

Se pueden descargar de aquí: https://mega.nz/folder/OJQBXa6A#p-Tb_ydppHH0qc3naVcXeQ
La de parcelas es la que reproyecta mal. Las otras dos son las que no se cargan tras la exportación. Ambas son de orígenes diferentes: La de
comarcas viene de un Disolver de una capa de municipios (obtenida del CNIG), y la otra está descargada del portal del Ayto. de Valencia.

#20 - 06/12/2020 10:08 AM - Joaquín  del Cerro Murciano

Si cargo la capa 'parcelas_polig_4326.shp' y le doy a exportar a BBDD (no tengo cargado lo de KML) y le digo que antes de exportar una feature
compruebe si la geometria es "valida", que no intente repararla y que aborte la exportacion si se da, falla diciendo algo como:

Hole lies outside shell

Parece que no tiene que ver con el proceso de exportacion, estas exportando una capa con geometrias no validas y eso le de un dolor de cabeza
grande al kml.

Ahora mismo no se si la exportacion a kml tiene la opcion de validar las geometrias. Si no la tiene podriamos valorar ponersela, o si la tiene y no esta
funcionando arreglarlo; pero si no es asi, simplemente cerraria el ticket.

Tambien estaria bien valorar si en el proceso de exportacion deberia ir marcado por defecto la opcion de verificar si son validas las geometrias
fallando si no lo son en lugar de exportar sin mirar y luego a ver que pasa.
#21 - 06/12/2020 09:35 PM - Álvaro Anguix
- Status changed from New to Closed

La opción de validar geometrias no la tiene, pero yo no metería funcionalidad nueva a estas alturas. Cierro el ticket y abro uno nuevo, para futuro, de
meter la validación de geometrías.

Files
Lago_Jardin.prj 166 Bytes 04/24/2020 Mario Carrera
Lago_Jardin.dbf 318 Bytes 04/24/2020 Mario Carrera
Lago_Jardin.shx 108 Bytes 04/24/2020 Mario Carrera
Lago_Jardin.shp 780 Bytes 04/24/2020 Mario Carrera
gvSIG.log 466 KB 06/08/2020 Mario Carrera
parcelas_4326.zip 32.3 KB 06/09/2020 Mario Carrera
gvSIG.log 483 KB 06/09/2020 Mario Carrera
